Dequeues a node from the queue

- « SplQueue

- SplQueue::enqueue »

- PHP Manual
- SplQueue
- Dequeues a node from the queue

# SplQueue::dequeue

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplQueue::dequeue — Dequeues a node from the queue

### Description

public SplQueue::dequeue(): mixed

Dequeues `value` from the top of the queue.

> Note:

> SplQueue::dequeue() is an alias of SplDoublyLinkedList::shift().

### Parameters

This function has no parameters.

### Return Values

The value of the dequeued node.